package com.sundot.airport.exam.enums;

/**
 * <b>功能名：CorrectStatusEnum</b><br>
 * <b>说明：</b> 题目回答正确情况 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-22 Mokou
 */
public enum CorrectStatusEnum {
    /**
     * 未定义
     */
    NONE("未定义"),

    /**
     * 全对
     */
    ALL_CORRECT("全对"),

    /**
     * 部分正确
     */
    PART_CORRECT("部分正确"),

    /**
     * 错误
     */
    INCORRECT("错误"),

    /**
     * 未作答
     */
    NOT_FILLED("未作答");

    /**
     * 枚举中文名
     */
    private String cnName;

    CorrectStatusEnum(String cnName) {
        this.cnName = cnName;
    }

    public String getCnName() {
        return cnName;
    }
}